## ros-jazzy-rc-genicam-api 2.6.5

=== debian/changelog ===
ros-jazzy-rc-genicam-api (2.6.5-2bookworm) bookworm; urgency=high

  * Added method to get remote port of device to directly read and write register
  * Added functions to read and write GenICam register parameters
  * Fixed write error message of gc_file tool
  * fix for gcc 13: use global stdint

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 Mar 2024 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.6.4-2bookworm) bookworm; urgency=high

  * Fixed loading nodemap from file system
  * Return device display name, if device user defined name returns an error

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 09 Nov 2023 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.6.3-2bookworm) bookworm; urgency=high

  * gc_config:
    -Fixed calling data latch to properly show PTP status
  * gc_info:
    - Added choice to either use local or remote nodemap of device
    - Added extended output that includes printing the local nodemaps of system, interface and device as well

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 06 Oct 2023 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.6.2-2bookworm) bookworm; urgency=high

  * If available, use user defined name of device as display name
  * Moving function for printing (part of) nodemap from tools to library
  * gc_info:
    - Added possibility to edit nodemap in curses gui
  * gc_stream:
    - Storing ChunkRcLineRatio in properties, if available
    - Added option to print chunk data
  * Fixed build_win.bat: Include cmake files and allow renaming of base directory
  * Fixed allocating too much memory in Image class

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 17 May 2023 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.6.1-2bookworm) bookworm; urgency=high

  * Fixed resetting of systems so that setSystemsPath() can be called again
  * Report reason if loading of producer fails
  * Fixed compiling under Windows
  * Fixed reading registers with size that is less than the requested size
  * Added convenience functions for loading and storing data on the camera via GenICam file interface

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 09 Jan 2023 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.6.0-2bookworm) bookworm; urgency=high

  * Upgraded GenAPI to version 3.4
  * Changed gc_file to read and write in blocks of 512 bytes and made FileSize parameter optional

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 09 Nov 2022 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.17-2bookworm) bookworm; urgency=high

  * Added building for Jammy
  * Added possibility to specify GenICam parameters on the command line of gc_pointcloud tool
  * README: change grep for newer netstat versions

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 13 Oct 2022 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.16-2bookworm) bookworm; urgency=high

  * Added CI build pipelines for ARM64
  * net_perf_check.sh use first default interface
  * Show enum options even if WriteOnly

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 29 May 2022 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.14-2bookworm) bookworm; urgency=high

  * Install licenses of included binaries
  * Reporting interface id instead of display name in output of gc_info -s

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 02 Feb 2022 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.13-2bookworm) bookworm; urgency=high

  * Added parameter '-s' to gc_info for getting a short list of discovered devices
  * Fixed Windows build script

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 31 Jan 2022 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.12-2bookworm) bookworm; urgency=high

  * Imporved Windows build script for compiling with libpng
  * Fixed some issues when compiling under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 23 Oct 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.11-2bookworm) bookworm; urgency=high

  * Fixed getting buffers with chunk data from Basler ace2 USB cameras

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 05 Oct 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.10-2bookworm) bookworm; urgency=high

  * Make system, interface, device and stream ignore closing already closed objects

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 01 Oct 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.9-2bookworm) bookworm; urgency=high

  * Improved measuring of buffers per second in gc_stream
  * Do not show latency in gc_stream -t if PTP is turned off

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 01 Oct 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.8-2bookworm) bookworm; urgency=high

  * Added support for YUV422_8 and YCbCr422_8 pixel formats

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 09 Sep 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.7-2bookworm) bookworm; urgency=high

  * Added possibility to specify the internal number of buffers to allocate
  * gc_file tool: Exit with error if file cannot be loaded

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 01 Sep 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.6-2bookworm) bookworm; urgency=high

  * Changed ImageList::find with tolerance > 0 to return the closest within tolerance

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Aug 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.5-2bookworm) bookworm; urgency=high

  * Fixed rounding when converting between color and monochrome images
  * Reduce minimum number of buffers
  * Do not attach chunk data handler to incomplete buffer

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 28 Jul 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.4-2bookworm) bookworm; urgency=high

  * Fixed reporting of operation status of gc_file tool

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 25 Jul 2021 00:00:00 -0000

ros-jazzy-rc-genicam-api (2.5.3-2bookworm) bookworm; urgency=high

  * Added build script for Visual Studio
  * Added methods for getting region id and data purpose id from buffer

